<?php
/**
 * Mozilla AtosWiki theme
 * Modified by Dick Pluim for MW 1.23
 *
 * Loosely based on the Cavendish style by DaSch 
 *
 * @todo document
 * @package MediaWiki
 * @subpackage Skins
 */


if( !defined( 'MEDIAWIKI' ) )
	die( -1 );

/**
 * Inherit main code from SkinTemplate, set the CSS and template filter.
 * @todo document
 * @package MediaWiki
 * @subpackage Skins
 */

$wgValidSkinNames['AtosWiki'] = 'AtosWiki';
 
class SkinAtosWiki extends SkinTemplate {
	/** Using atoswiki. */

	function initPage( &$out ) {
		SkinTemplate::initPage( $out );
		$this->skinname = 'AtosWiki'; 
		$this->stylename = 'AtosWiki';
		$this->template = 'AtosWikiTemplate'; 
		$this->useHeadElement = true;
		}
	function setupSkinUserCss( OutputPage $out ) {
		global $wgHandheldStyle, $wgStyleVersion, $wgJsMimeType, $wgStylePath, $wgVersion;
		global $atoswikiLogoURL, $atoswikiLogoWidth, $atoswikiLogoHeight, $atoswikiLogoMargin, $atoswikiSiteWith, $atoswikiExtensionCSS, $atoswikiSidebarSearchbox;
		parent::setupSkinUserCss( $out );
		// Append to the default screen common & print styles...
		$out->addStyle( 'AtosWiki/print.css', 'print' );
		$out->addStyle( 'AtosWiki/atoswiki.css', 'screen' );
		if( $wgHandheldStyle ) {
			// Currently in testing... try 'chick/main.css'
			$out->addStyle( $wgHandheldStyle, 'handheld' );
		}
		$out->addStyle( 'AtosWiki/IE60Fixes.css', 'screen', 'IE 6' );
		$out->addStyle( 'AtosWiki/IE70Fixes.css', 'screen', 'IE 7' );
		
		$out->addStyle( 'AtosWiki/rtl.css', 'screen', '', 'rtl' );
		
		/* README for details */
		if(!isset($atoswikiLogoURL)) {
			$atoswikiLogoURL=$wgStylePath . "/AtosWiki/wiki_Atos_logo.gif";
		}

		if(!isset($atoswikiLogoWidth)) {
			$atoswikiLogoWidth="300";
		}
		if(!isset($atoswikiLogoHeight)) {
			$atoswikiLogoHeight="100";
		}
		$atoswikiLogoMarginToAdd="";
		if(isset($atoswikiLogoMargin)) {
			$atoswikiLogoMarginToAdd .= 'margin-top:'.$atoswikiLogoMargin.'px;';
		}
		if(!isset($atoswikiSidebarSearchbox)) {
			$atoswikiSidebarSearchbox=false;
		}
		$atoswikiSidebarSearchboxToAdd = "";
		if(!$atoswikiSidebarSearchbox) {
			$atoswikiSidebarSearchboxToAdd .= '#nav #p-search {display:none;}';
		} 
		$atoswikiglobalWrapper="";
		if (isset($atoswikiSiteWith)) {
			$atoswikiglobalWrapper = '#globalWrapper {width:'. $atoswikiSiteWith .'px;}';
		}
		if (!isset($atoswikiExtensionCSS)) {
			$atoswikiExtensionCSS = true;
		}
		if ($atoswikiExtensionCSS) {
			$out->addStyle( 'AtosWiki/extensions.css', 'screen' );	
		}
		$headStyle = '#header h6 a { background: transparent url("'.$atoswikiLogoURL.'") no-repeat; width:'.$atoswikiLogoWidth.'px;height:'.$atoswikiLogoHeight.'px;'.$atoswikiLogoMarginToAdd.'}'.$atoswikiglobalWrapper.$atoswikiSidebarSearchboxToAdd;
		$out->addInlineStyle($headStyle);
	}
}

